package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF983Data {

    private Map<String, Object> params;
    
    public MWF983Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public Double rsHodnotadenni() {
        return (Double) params.get("RS_HODNOTADENNI");
    }

    public Double rsHodnotadekada() {
        return (Double) params.get("RS_HODNOTADEKADA");
    }

    public Double rsHodnotamesic() {
        return (Double) params.get("RS_HODNOTAMESIC");
    }

    public Double rsHodnotactvrtrok() {
        return (Double) params.get("RS_HODNOTACTVRTROK");
    }

    public Double rsHodnotapulrok() {
        return (Double) params.get("RS_HODNOTAPULROK");
    }

    public Double rsHodnotarok() {
        return (Double) params.get("RS_HODNOTAROK");
    }

    public Double rsHodnotacele() {
        return (Double) params.get("RS_HODNOTACELE");
    }

    public Double rsHodnotaytd() {
        return (Double) params.get("RS_HODNOTAYTD");
    }

    public Double rsHodnota3rok() {
        return (Double) params.get("RS_HODNOTA3ROK");
    }

    public Double rsHodnota5rok() {
        return (Double) params.get("RS_HODNOTA5ROK");
    } 

}
